List your orders
curl --request GET \
--url https://api.ornn.com/v1/markets/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"orderId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"orderBookId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"gpuSlug": "nvidia_h100_sxm",
"saleType": "spot",
"region": null,
"side": "bid",
"orderType": "market",
"pricePerGpuHourMicroUsd": null,
"requested": 16,
"remaining": 0,
"filledNodes": 2,
"filledGpus": 16,
"fillIds": [
"dddddddd-dddd-4ddd-8ddd-dddddddddddd"
],
"status": "filled",
"cancelReason": null,
"createdAt": "2026-10-14T18:30:00.000Z",
"isMine": true,
"isSeller": false
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}List your orders
Lists your organization’s 200 most recent bids (resting, filled and cancelled, each with the IDs of its fills) and the asks your relisted capacity has on the books. Poll this or Get an order to follow a bid.
GET
/
v1
/
markets
/
orders
List your orders
curl --request GET \
--url https://api.ornn.com/v1/markets/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"orderId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"orderBookId": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
"gpuSlug": "nvidia_h100_sxm",
"saleType": "spot",
"region": null,
"side": "bid",
"orderType": "market",
"pricePerGpuHourMicroUsd": null,
"requested": 16,
"remaining": 0,
"filledNodes": 2,
"filledGpus": 16,
"fillIds": [
"dddddddd-dddd-4ddd-8ddd-dddddddddddd"
],
"status": "filled",
"cancelReason": null,
"createdAt": "2026-10-14T18:30:00.000Z",
"isMine": true,
"isSeller": false
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}CLI equivalent:
ornn market orders.Authorizations
Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.
Response
Your orders.
Your organization's 200 most recent bids, then the asks your listings have on the books. Recently finished orders are retained for a limited time.
Show child attributes
Show child attributes
Was this page helpful?